import { GitHelper } from '@technote-space/github-action-helper';
import { ActionContext, PullsParams } from '../types';
export declare const getActionDetail: <T>(key: string, context: ActionContext, defaultValue?: T | undefined) => T;
export declare const getCommitMessage: (context: ActionContext) => string;
export declare const getCommitName: (context: ActionContext) => string;
export declare const getCommitEmail: (context: ActionContext) => string;
export declare const replaceDirectory: (message: string) => string;
export declare const getPrHeadRef: (context: ActionContext) => string;
export declare const getPrBaseRef: (context: ActionContext) => string;
export declare const isActionPr: (context: ActionContext) => boolean;
export declare const getPrBranchName: (helper: GitHelper, context: ActionContext) => Promise<string>;
export declare const getPrTitle: (helper: GitHelper, context: ActionContext) => Promise<string>;
export declare const getPrLink: (context: ActionContext) => string;
export declare const getPrBody: (files: string[], output: {
    command: string;
    stdout: string[];
    stderr: string[];
}[], helper: GitHelper, context: ActionContext) => Promise<string>;
export declare const checkDefaultBranch: (context: ActionContext) => boolean;
export declare const isDisabledDeletePackage: (context: ActionContext) => boolean;
export declare const isClosePR: (context: ActionContext) => boolean;
export declare const isTargetBranch: (branchName: string, context: ActionContext) => boolean;
export declare const isTargetContext: (context: ActionContext) => boolean;
export declare const getGitFilterStatus: (context: ActionContext) => string | undefined;
export declare const filterGitStatus: (line: string, context: ActionContext) => boolean;
export declare const filterExtension: (line: string, context: ActionContext) => boolean;
export declare const getHelper: (context: ActionContext) => GitHelper;
export declare const getPullsArgsForDefaultBranch: (context: ActionContext) => PullsParams;
